;!function(){try{var k="_btDebugIds",u="undefined",v="5b509dd6-419b-9f8d-57a3-26319e5e428b",a=function(x){try{x[k]=x[k]||{};x[k][n]=v}catch{}},n=(new Error).stack;n&&(u!=typeof window?a(window):u);n&&(u!=typeof global?a(global):u);n&&(u!=typeof self?a(self):u);n&&(u!=typeof globalThis?a(globalThis):u)}catch{}}();
import axios from "axios";
import { iCPSEventRuntimeError, iCPSEventSyncEngine } from "../../lib/resources/events-types.js";
import { Resources } from "../../lib/resources/main.js";
import { FILE_ENCODING } from "../../lib/resources/resource-types.js";
import { promises as fs } from 'fs';
export class HealthCheckPingExecutor {
    networkInterface;
    constructor() {
        if (!Resources.manager().healthCheckUrl) {
            return;
        }
        this.networkInterface = axios.create({ baseURL: Resources.manager().healthCheckUrl });
        Resources.events(this).on(iCPSEventSyncEngine.START, this.pingStart.bind(this));
        Resources.events(this).on(iCPSEventSyncEngine.DONE, this.pingSuccess.bind(this));
        Resources.events(this).on(iCPSEventRuntimeError.HANDLED_ERROR, this.pingError.bind(this));
    }
    async pingStart() {
        try {
            await this.networkInterface.post(`/start`);
            Resources.logger(this).debug(`Successfully sent start health check ping.`);
        }
        catch (err) {
            Resources.logger(this).error(`Failed to send start health check ping: ${err}`);
        }
    }
    async pingSuccess() {
        try {
            await this.getLog().then(log => this.networkInterface.post(`/success`, log));
            Resources.logger(this).debug(`Successfully sent success health check ping.`);
        }
        catch (err) {
            Resources.logger(this).error(`Failed to send success health check ping: ${err}`);
        }
    }
    async pingError(_err) {
        try {
            await this.getLog().then(log => this.networkInterface.post(`/fail`, log));
            Resources.logger(this).debug(`Successfully sent error health check ping.`);
        }
        catch (err) {
            Resources.logger(this).error(`Failed to send error health check ping: ${err}`);
        }
    }
    async getLog() {
        return fs.readFile(Resources.manager().logFilePath)
            .then(data => data.subarray(-102400).toString(FILE_ENCODING))
            .catch(() => `failed to read log file`);
    }
}
//# sourceMappingURL=health-check-ping-executor.js.map
//# debugId=5b509dd6-419b-9f8d-57a3-26319e5e428b