;!function(){try{var k="_btDebugIds",u="undefined",v="f4b0dbf9-8be4-e96f-a841-8a7b524ffe6f",a=function(x){try{x[k]=x[k]||{};x[k][n]=v}catch{}},n=(new Error).stack;n&&(u!=typeof window?a(window):u);n&&(u!=typeof global?a(global):u);n&&(u!=typeof self?a(self):u);n&&(u!=typeof globalThis?a(globalThis):u)}catch{}}();
/**
 * Possible log events
 */
export var iCPSEventLog;
(function (iCPSEventLog) {
    iCPSEventLog["DEBUG"] = "log-debug";
    iCPSEventLog["INFO"] = "log-info";
    iCPSEventLog["WARN"] = "log-warn";
    iCPSEventLog["ERROR"] = "log-error";
})(iCPSEventLog || (iCPSEventLog = {}));
/**
 * Possible iCloud events
 */
export var iCPSEventCloud;
(function (iCPSEventCloud) {
    /**
     * Emitted when the iCloud authentication process has started
     */
    iCPSEventCloud["AUTHENTICATION_STARTED"] = "icloud-auth_started";
    /**
     * Emitted when the iCloud authentication process requires MFA input
     */
    iCPSEventCloud["MFA_REQUIRED"] = "icloud-mfa_req";
    /**
     * Emitted when the iCloud authentication process has completed after the MFA code has been submitted successfully
     */
    iCPSEventCloud["AUTHENTICATED"] = "icloud-auth_done";
    /**
     * Emitted when the iCloud authentication trusted this device and stored the trust token for future requests - provides the trust token as argument
     */
    iCPSEventCloud["TRUSTED"] = "icloud-trusted";
    /**
     * Emitted when ADP is enabled and PCS Cookies are required
     */
    iCPSEventCloud["PCS_REQUIRED"] = "icloud-pcs_req";
    /**
     * Emitted when the access request has not been granted and the cookies are not ready yet
     */
    iCPSEventCloud["PCS_NOT_READY"] = "icloud-pcs_not_ready";
    /**
     * Emitted when the iCloud account information have been retrieved
     */
    iCPSEventCloud["ACCOUNT_READY"] = "icloud-account_ready";
    /**
     * Emitted if the session token expired
     */
    iCPSEventCloud["SESSION_EXPIRED"] = "icloud-session_expired";
    /**
     * Emitted when the iCloud connection has experienced an error - provides an iCPSError as argument
     */
    iCPSEventCloud["ERROR"] = "icloud-error";
})(iCPSEventCloud || (iCPSEventCloud = {}));
/**
 * Possible MFA server events
 */
export var iCPSEventMFA;
(function (iCPSEventMFA) {
    /**
     * Emitted when the MFA server has started - provides the port as argument
     */
    iCPSEventMFA["STARTED"] = "mfa-started";
    /**
     * Emitted when the MFA server has received a valid MFA code - provides the method and code as arguments
     */
    iCPSEventMFA["MFA_RECEIVED"] = "mfa-received";
    /**
     * Emitted when the MFA server has received a request to resend the MFA code - provides the method as argument
     */
    iCPSEventMFA["MFA_RESEND"] = "mfa-resend";
    /**
     * Emitted when the MFA server has not received a valid MFA code within the timeout period
     */
    iCPSEventMFA["MFA_NOT_PROVIDED"] = "mfa-not_provided";
    /**
     * Emitted when the MFA server has experienced an error - provides an iCPSError as argument
     */
    iCPSEventMFA["ERROR"] = "mfa-error";
})(iCPSEventMFA || (iCPSEventMFA = {}));
/**
 * Possible icloud photos events
 */
export var iCPSEventPhotos;
(function (iCPSEventPhotos) {
    /**
     * Emitted when the photos library has completed it's setup
     */
    iCPSEventPhotos["SETUP_COMPLETED"] = "photos-setup-complete";
    /**
     * Emitted when the photos library is ready to use
     */
    iCPSEventPhotos["READY"] = "photos-ready";
    /**
    * Emitted when the icloud photos library has experienced an error - provides an iCPSError as argument
    */
    iCPSEventPhotos["ERROR"] = "error-photos";
})(iCPSEventPhotos || (iCPSEventPhotos = {}));
/**
 * Runtime warnings, that are handled appropriately (e.g. by printing a summary and/or logging to the console and/or file)
 */
export var iCPSEventRuntimeWarning;
(function (iCPSEventRuntimeWarning) {
    /**
     * Emitted, if the number of remote assets is not matching our expectation during sync - provides the album id, number of expected assets, actual CPL Assets and actual CPL Masters
     */
    iCPSEventRuntimeWarning["COUNT_MISMATCH"] = "warn-count_mismatch";
    /**
     * Emitted, if a local asset could not be loaded - provides the error and file path as arguments
     */
    iCPSEventRuntimeWarning["LIBRARY_LOAD_ERROR"] = "warn-library_load_error";
    /**
     * Emitted, if an extraneous file was found while loading the album tree - provides the parent directory as argument
     */
    iCPSEventRuntimeWarning["EXTRANEOUS_FILE"] = "warn-extraneous_file";
    /**
     * Emitted, if an iCloud asset could not be loaded - provides the error, asset and master object as arguments
     */
    iCPSEventRuntimeWarning["ICLOUD_LOAD_ERROR"] = "warn-icloud_load_error";
    /**
     * Emitted when the write process has experienced an error while verifying a written asset - provides the error and asset as argument
     */
    iCPSEventRuntimeWarning["WRITE_ASSET_ERROR"] = "warn-write_asset_error";
    /**
     * Emitted when the write process has experienced an error while writing an album - provides the error and album as argument
     */
    iCPSEventRuntimeWarning["WRITE_ALBUM_ERROR"] = "warn-write_album_error";
    /**
     * Emitted when an asset cannot be linked to an album - provides the error, src and destination path as arguments
     */
    iCPSEventRuntimeWarning["LINK_ERROR"] = "warn-link_error";
    /**
     * Emitted when a filetype is unknown to the script - provides the extension and descriptor as arguments (if available)
     */
    iCPSEventRuntimeWarning["FILETYPE_ERROR"] = "warn-filetype_error";
    /**
     * Emitted when there is an error related to the MFA flow - provides an iCPS error as argument
     */
    iCPSEventRuntimeWarning["MFA_ERROR"] = "warn-mfa_error";
    /**
     * Emitted when an asset could not be archived - provides the error and errored asset file path as argument
     */
    iCPSEventRuntimeWarning["ARCHIVE_ASSET_ERROR"] = "warn-archive_asset_error";
    /**
     * Emitted when there is a problem reading/writing the resource file - provides the iCPSError as argument
     */
    iCPSEventRuntimeWarning["RESOURCE_FILE_ERROR"] = "warn-resource_file_error";
})(iCPSEventRuntimeWarning || (iCPSEventRuntimeWarning = {}));
/**
 * Runtime errors
 */
export var iCPSEventRuntimeError;
(function (iCPSEventRuntimeError) {
    /**
     * Emitted upon a fatal error during the scheduled execution - provides an iCPSError as argument
     * Should only be handled by the error handler
     */
    iCPSEventRuntimeError["SCHEDULED_ERROR"] = "scheduled-error";
    /**
     * Emitted upon after an unexpected error was handled by the error handler for it to get logged - provides an iCPSError as argument
     * Should be used to log/print fatal errors
     */
    iCPSEventRuntimeError["HANDLED_ERROR"] = "error-handled";
})(iCPSEventRuntimeError || (iCPSEventRuntimeError = {}));
/**
 * Possible sync engine events
 */
export var iCPSEventSyncEngine;
(function (iCPSEventSyncEngine) {
    /**
     * Emitted when the sync process has started
     */
    iCPSEventSyncEngine["START"] = "sync-start";
    /**
     * Emitted when the fetch and load process has started
     */
    iCPSEventSyncEngine["FETCH_N_LOAD"] = "sync-fetch_n_load";
    /**
     * Emitted when the fetch and load process has completed - provides the number of remote assets and albums as well as the number of local assets and albums as arguments
     */
    iCPSEventSyncEngine["FETCH_N_LOAD_COMPLETED"] = "sync-fetch_n_load_completed";
    /**
     * Emitted when the diff process has started
     */
    iCPSEventSyncEngine["DIFF"] = "sync-diff";
    /**
     * Emitted when the diff process has completed
     */
    iCPSEventSyncEngine["DIFF_COMPLETED"] = "sync-diff_completed";
    /**
     * Emitted when the write process has started
     */
    iCPSEventSyncEngine["WRITE"] = "sync-write";
    /**
     * Emitted when the write process has started writing assets - provides the number of assets to be deleted, added and kept as arguments
     */
    iCPSEventSyncEngine["WRITE_ASSETS"] = "sync-write_assets";
    /**
     * Emitted when the write process has completed writing an asset - provides the asset name as argument
     */
    iCPSEventSyncEngine["WRITE_ASSET_COMPLETED"] = "sync-write_asset_completed";
    /**
     * Emitted when the write process has completed writing all assets
     */
    iCPSEventSyncEngine["WRITE_ASSETS_COMPLETED"] = "sync-write_assets_completed";
    /**
     * Emitted when the write process has started writing albums - provides the number of albums to be deleted, added and kept as arguments
     */
    iCPSEventSyncEngine["WRITE_ALBUMS"] = "sync-write_albums";
    /**
     * Emitted when the write process has completed writing all albums
     */
    iCPSEventSyncEngine["WRITE_ALBUMS_COMPLETED"] = "sync-write_albums_completed";
    /**
     * Emitted when the write process has completed
     */
    iCPSEventSyncEngine["WRITE_COMPLETED"] = "sync-write_completed";
    /**
     * Emitted when the sync process has completed
     */
    iCPSEventSyncEngine["DONE"] = "sync-done";
    /**
     * Emitted when the sync process has experienced an error and will retry - provides the number of retries as argument as well as the iCPSError leading to the retry
     */
    iCPSEventSyncEngine["RETRY"] = "sync-retry";
})(iCPSEventSyncEngine || (iCPSEventSyncEngine = {}));
/**
 * Possible archive engine events
 */
export var iCPSEventArchiveEngine;
(function (iCPSEventArchiveEngine) {
    /**
     * Emitted when the archive engine starts archiving a path - provides the path as argument
     */
    iCPSEventArchiveEngine["ARCHIVE_START"] = "archive-start";
    /**
     * Emitted when the archive engine starts persisting assets - provides the number of assets as argument
     */
    iCPSEventArchiveEngine["PERSISTING_START"] = "archive-persist_start";
    /**
     * Emitted when the archive engine starts deleting remote assets - provides the number of assets as argument
     */
    iCPSEventArchiveEngine["REMOTE_DELETE"] = "archive-remote_delete";
    /**
     * Emitted when the archive engine is done archiving a path
     */
    iCPSEventArchiveEngine["ARCHIVE_DONE"] = "archive-done";
})(iCPSEventArchiveEngine || (iCPSEventArchiveEngine = {}));
/**
 * Possible app events
 */
export var iCPSEventApp;
(function (iCPSEventApp) {
    /**
     * Emitted when the app has scheduled the next execution, but has not have previous executions - provides a date object for the next run as argument
     */
    iCPSEventApp["SCHEDULED"] = "scheduled";
    /**
     * Emitted when the app has started the next execution
     */
    iCPSEventApp["SCHEDULED_START"] = "scheduled-start";
    /**
     * Emitted when the app has successfully completed an execution - provides a date object for the next run as argument
     */
    iCPSEventApp["SCHEDULED_DONE"] = "scheduled-done";
    /**
     * Emitted when the app has experienced an error and will retry - provides a date object for the next run as argument
     */
    iCPSEventApp["SCHEDULED_RETRY"] = "scheduled-retry";
    /**
     * Emitted when a scheduled execution was skipped, because there is already an execution running - provides a date object for the next run as argument
     */
    iCPSEventApp["SCHEDULED_OVERRUN"] = "scheduled-overrun";
    /**
     * Emitted when the app should display the latest acquired token - provides the token as argument
     */
    iCPSEventApp["TOKEN"] = "token";
})(iCPSEventApp || (iCPSEventApp = {}));
//# sourceMappingURL=events-types.js.map
//# debugId=f4b0dbf9-8be4-e96f-a841-8a7b524ffe6f